Detail of CDN77 Object Storage
Gethttps://api.cdn77.com/v3/origin/object-storage/{id}Request parameters
idstring in pathrequired
Responses
Detail of the given Origin returned.
Response parameters
cdnsarray of objectsList of all CDN Resources assigned to the Origin.
idstringOrigin ID.
labelstringOrigin label.
notestringOptional note for the Origin.
schemestringAvailable values:
http,httpsbase_dirstringBase directory for the object storage. This is optional and can be used to specify a subdirectory in the bucket. If not specified, the root of the bucket will be used.
bucket_namestringName of your bucket.
created_atstring, format date-timehoststringOrigin host without scheme and port.
portintegerOrigin port. If not specified, the default scheme port is used. Allowed range is between 1 and 65535.
primary_origin_idstringOrigin ID.
fallback_originsarray of objectsfallback_policyobjecttypestringAvailable values:
aws,object-storage,storage,urlusageobject
Example of the response
{
"cdns": [
{
"id": 1234567890,
"label": "My cdn"
}
],
"id": "e56564d1-8d3e-4457-93a6-082b054bc736",
"label": "My origin",
"note": "Note for my Origin",
"scheme": "https",
"base_dir": "/pictures/images",
"bucket_name": "my-bucket",
"created_at": "2027-07-07T00:00:00.000Z",
"host": "region.cdn77-storage.com",
"port": 8080,
"primary_origin_id": "e56564d1-8d3e-4457-93a6-082b054bc736",
"fallback_origins": [
{
"id": {
"id": "9880280c-0507-46d1-88f3-71cfee83fa57"
},
"label": "MISSING EXAMPLE",
"usage": {
"file_count": 1500,
"size_bytes": 1073741824
}
}
],
"fallback_policy": {
"balancer": "closest",
"max_fails": 0,
"fail_timeout": 0,
"max_fail_timeout": 0,
"next_upstream": [
"error"
]
},
"type": "object-storage",
"usage": {
"file_count": 1500,
"size_bytes": 1073741824
}
}